Skip to main content
PUT
Update account

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Path Parameters

id
integer
required

The account ID

Example:

1

Body

application/json
name
string

Account name. Must not be greater than 255 characters.

Example:

"Cash and Bank"

code
string

Account code. Must not be greater than 64 characters.

Example:

"1000"

account_type
enum<string>

Account type.

Available options:
asset_receivable,
asset_cash,
asset_current,
asset_non_current,
asset_prepayments,
asset_fixed,
liability_payable,
liability_credit_card,
liability_current,
liability_non_current,
equity,
equity_unaffected,
income,
income_other,
expense,
expense_depreciation,
expense_direct_cost,
off_balance
Example:

"asset_receivable"

currency_id
integer | null

Currency ID. The id of an existing record in the currencies table.

Example:

1

note
string | null

Account notes.

Example:

"Primary cash account"

deprecated
boolean | null

Mark account as deprecated.

Example:

false

reconcile
boolean | null

Enable reconciliation.

Example:

false

non_trade
boolean | null

Non-trade account flag.

Example:

false

Response

Success